djx
Hi Peter, I thought I'd move this from the general discussion to here.

When I try to load the plugin into 2016 sp6 on centos 6.5 (gcc 4.8.2) I'm getting this error:

SOuP.so: undefined symbol: _ZTTNSt7__cxx1119basic_istringstreamIcSt11char_traitsIcESaIcEEE (SOuP)

I got the pipeline guys to try this with devtoolset-2 and they got the same error.
Can you think of anything else that we may be missing in our config?

thanks
David
Quote 0 0
pshipkov
Can you also provide the version of libgcc ?
Quote 0 0
pshipkov
Also can you run:
ldd /path/to/SOuP.so
Quote 0 0
djx
Here's the ldd output

    linux-vdso.so.1 =>  (0x00007ffdda1ea000)
    /usr/lib64/libXft-infinality/libXft.so.2 (0x00007ff69f4f7000)
    libOpenMaya.so => not found
    libOpenMayaUI.so => not found
    libFoundation.so => not found
    libOpenMayaFX.so => not found
    libOpenMayaAnim.so => not found
    libOpenMayaRender.so => not found
    libiomp5.so => not found
    libgcc_s.so.1 => /library/rez/ext_packages/gcc/4.8.2/platform-linux/arch-x86_64/os-CentOS-6/lib64/libgcc_s.so.1 (0x00007ff69f2bb000)
    libc.so.6 => /lib64/libc.so.6 (0x00007ff69ef27000)
    libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00007ff69ecf0000)
    libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007ff69ea53000)
    libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00007ff69e849000)
    libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007ff69e50b000)
    /lib64/ld-linux-x86-64.so.2 (0x000000303f800000)
    libexpat.so.1 => /lib64/libexpat.so.1 (0x00007ff69e2e3000)
    libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007ff69e0c5000)
    libdl.so.2 => /lib64/libdl.so.2 (0x00007ff69dec0000)
    libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007ff69dcbd000)

I can see our rez package path to libgcc.. Is that what you meant, or is there a way to query the actual code version?
Quote 0 0
pshipkov
Download and try again.
It was libgmp after all.
Quote 0 0
djx
Thanks Peter. You always seem to be able to fix things faster than I can test them :)
I will try this out first thing Monday. I really appreciate you going to so much trouble.

regards
David
Quote 0 0
djx
Just confirming that the update is working for me.
Thanks again Peter.
The remesher did not disappoint.

David
Quote 0 0
brunox
Hello,

I am having the same issue on Centos 7.3 Maya 2016.0 . Release 20170701. Any idea ? Thanks

Tested with GCC 4 and 5. Same error.

soup/20170701/bin/linux/SOuP.so: undefined symbol: _ZTTNSt7__cxx1119basic_istringstreamIcSt11char_traitsIcESaIcEEE (SOuP)

ldd SOuP.so
linux-vdso.so.1 => (0x00007ffc032ae000)
libOpenMaya.so => not found
libOpenMayaUI.so => not found
libFoundation.so => not found
libOpenMayaFX.so => not found
libOpenMayaAnim.so => not found
libOpenMayaRender.so => not found
libiomp5.so => not found
libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f83bb649000)
libc.so.6 => /lib64/libc.so.6 (0x00007f83bb288000)
/lib64/ld-linux-x86-64.so.2 (0x00007f83bc450000)

Quote 0 0
pshipkov
Hmm, strange.
I am about to release new update with added Maya2018 support.
Will investigate this reoccuring error.
Thanks.
Quote 0 0
pshipkov
Check this build: http://www.petershipkov.com/temp/SOuP_maya2016_linux_gcc482.tar.gz
If that works i will update the main SOuP archive.
Thanks.
Quote 0 0
brunox
Sorry, tested and got the same error.

Thanks
Quote 0 0
pshipkov
This should be resolved now.
Quote 0 0

Add a Website Forum to your website.